[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listPersons" label="Persons"]]
</ol>

<h2>Create new person record</h2>
<semantic-form
  persistence='LDP'
  browser-persistence='false'
  fields="[[fieldDefinitions
        equivalent_record="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/equivalent_person_wd"
        link="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/related_resource"
        description="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/description"
        record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/person_record_type"
        person_name="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/main_person_name"
        person_role="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/person_role"
  ]]"
  [[#if (urlParam "noredirect")]]
  [[else]]
    post-action='redirect'
  [[/if]]
  subject=[[singleValueFromSelect "SELECT ?newIRI WHERE { BIND(uri(concat(\"http://sphaera.mpiwg-berlin.mpg.de/id/person/\",STRUUID())) as ?newIRI)}"]]
>

  <semantic-form-text-input for="person_name">
  </semantic-form-text-input>

  <semantic-form-select-input for="person_role">
  </semantic-form-select-input>

  <semantic-form-text-input for="description">
  </semantic-form-text-input>

  <semantic-form-text-input for="link">
  </semantic-form-text-input>

  <bs-tabs>
    <bs-tab event-key="lookup" title="Look up">
      <autocomplete-input
    		for="equivalent_record"
        template='{{label.value}} ({{#if yearOfBirth.value}}{{yearOfBirth.value}}{{/if}}&ndash;{{#if yearOfDeath.value}}{{yearOfDeath.value}}{{/if}}) <span style="font-size:0.8em;">{{description.value}}</span>'
    	>
      </autocomplete-input>
    </bs-tab>
    <bs-tab event-key="enter" title="Enter URI">
      <semantic-form-text-input for="equivalent_record">
      </semantic-form-text-input>
    </bs-tab>
  </bs-tabs>

  <span class="disabled hidden-field">
    <semantic-form-text-input for="record_type"></semantic-form-text-input>
  </span>

  <div class="text-right form-submit">
    <button name="submit" class="btn btn-primary btn-md">Save</button>
  </div>

</semantic-form>

[[> :footer]]
